Subject: Re: [bug#49780] [PATCH 00/14] import: Use PARSE-COMMAND-LINE for options.

From: zimoun <[email-masked]>
Date: Tue, 31 Aug 2021 10:24:12 +0200

Hi,

Cool!  Thanks Sarah for the improvement.

On Tue, 03 Aug 2021 at 17:47, Ludovic Courtès <[email-masked]> wrote:
> Sarah Morgensen <[email-masked]> skribis:
>
>> I noticed that we have an ARGS-FOLD* wrapper called PARSE-COMMAND-LINE which has
>> the same invalid argument message as the importers, the same argument handler,
>> and has an option hint feature. So let's use that in the importers.
>>
>> The change is identical across all importers, and the semantics as far as return
>> value are identical, so this should just be a drop-in.
>
> Neat, that’s a welcome change.  I hope you won’t hate me for suggesting
> this, but I think such systematic API evolution changes can go in a
> single commit.  WDYT?

Well, the previous replacement before the introduction of option hint
had been done with several commits. ;-)

--8<---------------cut here---------------start------------->8---
4056ba3645 scripts: show: Replace 'args-fold*' by 'parse-command-line'.

[...]

946f563d91 scripts: describe: Replace 'args-fold*' by 'parse-command-line'.
--8<---------------cut here---------------end--------------->8---

Whatever, now it is pushed. :-)

Cheers,
simon

PS: For the interested reader, the story is not complete yet, the
subcommands “guix system” does not enjoy such. ;-)